PATCH /tasks/{id}
PATCH operation for /tasks/{id}
Authorization
ApiKeyAuth Authorization<token>
API key authentication. Format: Your API key (no "Token" prefix needed)
In: header
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://dev-rest.onboard.io/tasks/string" \ -H "Content-Type: application/json" \ -d '{ "id": 1, "name": "string", "description": "string", "is_section": true, "is_optional": true, "client_visibility": "show_when_map_created", "due_date_type": "before_target_launch_date", "due_date_days": 1, "due_date_enabled": true, "options_advanced": "string", "move_to": 1, "options": "string", "is_internal": true, "assign_to_owner": true, "estimated_time": 1, "estimated_time_unit": "minutes", "estimated_time_raw": 1, "time_tracking_enabled": true, "assign_to_role": "string", "assign_to_role_id": 1, "dependencies": [ "string" ], "category": "task", "embedded": "string", "embedded_url": "string", "embedded_option": "url", "embedded_panel_title": "string", "is_billable": true, "due_date_days_after_specific_task_completed_task_id": 1, "due_date_days_after_specific_task_due_task_id": 1, "embedded_url_merge_tag": "string", "is_ttv": true, "update_tasks": true, "update_tasks_notify": true }'{
"id": 1,
"name": "string",
"description": "string",
"description_preview": "string",
"order": 1,
"is_section": true,
"is_optional": true,
"client_visibility": "show_when_map_created",
"due_date_type": "before_target_launch_date",
"due_date_days": 1,
"due_date_enabled": true,
"options_advanced": "string",
"created_at": "2021-01-01T00:00:00Z",
"move_to": 1,
"options": "string",
"is_internal": true,
"assign_to_owner": true,
"estimated_time": 1,
"estimated_time_unit": "minutes",
"estimated_time_raw": 1,
"forms": "string",
"time_tracking_enabled": true,
"assign_to_role": "string",
"assign_to_role_id": 1,
"dependencies": [
"string"
],
"category": "task",
"embedded": "string",
"embedded_url": "string",
"embedded_option": "url",
"embedded_panel_title": "string",
"modified_at": "2021-01-01T00:00:00Z",
"map_types": "string",
"map_types_ids": "string",
"is_billable": true,
"due_date_days_after_specific_task_completed_task_id": 1,
"due_date_days_after_specific_task_completed_task": "string",
"due_date_days_after_specific_task_due_task_id": 1,
"due_date_days_after_specific_task_due_task": "string",
"embedded_url_merge_tag": "string",
"is_ttv": true,
"update_tasks": true,
"update_tasks_notify": true
}Empty
Empty
Empty
How is this guide?